Ads · Ad Insights
Polls an async insights report run. Works with Meta Ads.
GET
https://api.pozy.ai/v1/ads/insights/reports/{reportRunId}Facebook and InstagramgetAdInsightsReport
Guides: Meta Ads, Ads reporting
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
reportRunIdrequired | string |
Query parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string | |
limit | integer | Default 251 to 500 |
after | string |
Example
curl -X GET "https://api.pozy.ai/v1/ads/insights/reports/6e2f00f0f0d4fc8864437ccf?accountId=696e0b682d0a31188e7a2ba9&limit=25" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/ads/insights/reports/6e2f00f0f0d4fc8864437ccf?accountId=696e0b682d0a31188e7a2ba9&limit=25", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/ads/insights/reports/6e2f00f0f0d4fc8864437ccf",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"accountId": "696e0b682d0a31188e7a2ba9",
"limit": 25,
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
reportRunIdstringstatusstringpercentCompletionintegerdateStartstringdateStopstringdataarray of objectpagingobjectafterstringCan be null.
200 response
{
"reportRunId": "6e2f00f0f0d4fc8864437ccf",
"status": "active",
"percentCompletion": 1,
"dateStart": "2026-10-02T09:00:00.000Z",
"dateStop": "2026-10-02T09:00:00.000Z",
"data": [
{}
],
"paging": {
"after": "string"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Ad Insights
GETGoogle Ads search terms reportGETGoogle Local Services Ads leadsGETList lead conversationsGETGet campaign analyticsPOSTGenerate keyword ideasPOSTGet historical keyword metricsGETFlexible live insights queryPOSTSubmit async insights reportGETGet ad analyticsGETPer-creative performance inside TikTok Smart+ ads